SIMON64::Dec Class Reference

SIMON64 decryption transformation. More...

`#include <simon.h>`

Inheritance diagram for SIMON64::Dec:

## Public Member Functions

void | ProcessAndXorBlock (const byte *inBlock, const byte *xorBlock, byte *outBlock) const
Public Member Functions inherited from SIMON64::Base
std::string | AlgorithmName () const
| The algorithm name.
std::string | AlgorithmProvider () const
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
Public Member Functions inherited from BlockCipherImpl< SIMON_Info< 8, 12, 12, 16 > >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name.

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

SIMON64 decryption transformation.

Dec provides the decryption transformation. All key sizes are supported.

Since
  Crypto++ 6.0

Definition at line 126 of file simon.h.

## Member Function Documentation

## ProcessAndXorBlock()

void SIMON64::Dec::ProcessAndXorBlock | ( | const byte * | inBlock,
|  | const byte * | xorBlock,
|  | byte * | outBlock
| ) |  | const

Definition at line 287 of file simon.cpp.

The documentation for this class was generated from the following files:

- simon.h
- simon.cpp